Name:           ttf2pt1
Version:        3.4.4
Release:        0.fdr.2.2
Epoch:          0
Summary:        TrueType to Adobe Type 1 converter

Group:          Applications/Publishing
License:        Distributable
URL:            http://ttf2pt1.sourceforge.net
Source0:        http://dl.sf.net/ttf2pt1/ttf2pt1-3.4.4.tgz
Source1:        http://dl.sf.net/ttf2pt1/ttf2pt1-chinese-3.4.0.tgz
Patch0:         ttf2pt1-3.4.3-makefile.patch
Patch1:         ttf2pt1-3.4.3-manpages.patch
Patch2:         ttf2pt1-3.4.4-ft2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  freetype-devel > 0:2
BuildRequires:  t1lib-devel

%description
ttf2pt1 is a utility that converts TrueType fonts and BDF fonts to
Adobe Type 1 fonts (both .pfa and .pfb files).


%prep
%setup -q -a 1
%patch0 -p2
%patch1 -p2
%patch2 -p2


%build
make %{?_smp_mflags}
make -C other %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 ttf2pt1 $RPM_BUILD_ROOT%{_bindir}/ttf2pt1
install -p -m 755 other/cmpf $RPM_BUILD_ROOT%{_bindir}/ttf2pt1_cmp

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}
install -p -m 755 t1asm $RPM_BUILD_ROOT%{_libexecdir}/t1asm

mkdir -p $RPM_BUILD_ROOT%{_datadir}/ttf2pt1/{maps,encodings}
install -p -m 644 maps/*.map $RPM_BUILD_ROOT%{_datadir}/ttf2pt1/maps
install -p -m 644 ttf2pt1-chinese-3.4.0/*.map $RPM_BUILD_ROOT%{_datadir}/ttf2pt1/maps/
cp -R encodings/* $RPM_BUILD_ROOT%{_datadir}/ttf2pt1/encodings/
find $RPM_BUILD_ROOT%{_datadir}/ttf2pt1/encodings/ -type f -exec chmod 644 {} \;
find $RPM_BUILD_ROOT%{_datadir}/ttf2pt1/encodings/ -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%{_datadir}/ttf2pt1/encodings/ -name "README*" -exec rm {} \;

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
sed 's|TTF2PT1_BINDIR|%{_bindir}|;s|TTF2PT1_LIBXDIR|%{_libexecdir}|;s|TTF2PT1_DOCDIR|%{_docdir}/%{name}-%{version}|;s|TTF2PT1_SHAREDIR|%{_datadir}/ttf2pt1|' ttf2pt1.1 > $RPM_BUILD_ROOT%{_mandir}/man1/ttf2pt1.1
chmod 644 $RPM_BUILD_ROOT%{_mandir}/man1/ttf2pt1.1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES CHANGES.html COPYRIGHT
%{_bindir}/*
%{_libexecdir}/t1asm
%{_mandir}/man1/ttf2pt1.1.gz
%{_datadir}/ttf2pt1


%changelog
* Sun Jun  6 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:3.4.4-0.fdr.2
- Added FT2 patch for building on FC2.

* Thu Jan  1 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:3.4.4-0.fdr.1
- Updated to 3.4.4.
- Converted spec file to UTF-8.

* Sun Oct 26 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:3.4.3-0.fdr.6
- More patching of manual pages to get references to files right (bug 75).
- Removed README* and FONTS* from documentation (bug 75).
- Removed all references to ttf2pt1_{convert,x2gs,cntstems} (bug 75).
- Added build req t1lib-devel.
- Install ttf2pt1_cmp.

* Fri Jul 18 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:3.4.3-0.fdr.5
- Added FONTS, FONTS.html, COPYRIGHT to documentation.
- Added man page patch.
- Install files in install section instead of patching bad makefile.

* Fri May 16 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:3.4.3-0.fdr.4
- Use RPM_BUILD_ROOT instead of macros.

* Wed Apr 23 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 3.4.3-0.fdr.3
- Added epochs.
- Modified makefile patch to honour optflags.

* Sat Mar  8 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 3.4.3-0.fdr.2
- Added map files for Chinese encodings.

* Thu Mar  6 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 3.4.3-0.fdr.1
- Initial Fedora RPM release.

* Fri Feb 14 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no>
- Initial version. Based on SPEC file found in ttf2pt1-3.4.3.tgz.
